config.guess/config.sub for aarch64 (was Re: Mass Rebuild for Fedora 19)

Orion Poplawski orion at
Mon Mar 25 20:36:17 UTC 2013

On 02/08/2013 09:30 AM, Brendan Conoboy wrote:
> On 02/08/2013 07:12 AM, Tom Lane wrote:
>> Dennis Gilmore <dennis at> writes:
>>> Additionally we will be mass patching config.guess and config.sub to
>>> support aarch64 in preperation for 64 bit arm support
>> Hm, it would be much better in the long run to pester upstreams to
>> update to an appropriate version of these files.  Are the required
>> changes in upstream autoconf yet, and if so what version?  If not,
>> why not?
> Support for aarch64 landed in autoconf 2.69 which was released on March 25th
> and first built in Fedora on May 15th.  Packages that use autoconf 2.69 are
> already good to go.

Isn't config.sub/config.guess really a part of automake and it is that that 
needs updating by upstream?  For instance, configure in octave 3.6.4 says it 
was generated by autoconf 2.69, but the config.guess/config.sub files don't 
have aarch64.  What version of automake added aarch64?

Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder Office                  FAX: 303-415-9702
3380 Mitchell Lane                       orion at
Boulder, CO 80301         

More information about the devel mailing list